Package org.apache.catalina.ha

## Interface ClusterMessage

- All Superinterfaces:
    `java.io.Serializable`
  All Known Subinterfaces:
    `SessionMessage`
  All Known Implementing Classes:
    `ClusterMessageBase`, `FileMessage`, `SessionMessageImpl`, `UndeployMessage`

      public interface ClusterMessage
      extends java.io.Serializable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Member` | `getAddress()` |
    `long` | `getTimestamp()` |
    `java.lang.String` | `getUniqueId()` |
    `void` | `setAddress​(Member member)` |
    `void` | `setTimestamp​(long timestamp)` |

- - ### Method Detail

    - #### getAddress

          Member getAddress()

    - #### setAddress

          void setAddress​(Member member)

    - #### getUniqueId

          java.lang.String getUniqueId()

    - #### getTimestamp

          long getTimestamp()

    - #### setTimestamp

          void setTimestamp​(long timestamp)